#12 Use Recommends only in RPM supported versions
Merged 3 months ago by carlwgeorge. Opened 3 months ago by tonyskapunk.
rpms/ tonyskapunk/recap rpm_412  into  master

file modified
+8 -2

@@ -6,7 +6,7 @@ 

  

  Name: recap

  Version: 2.1.0

- Release: 5%{?dist}

+ Release: 6%{?dist}

  Summary: Generates reports of various system information

  License: GPLv2

  URL: https://github.com/rackerlabs/recap

@@ -17,7 +17,6 @@ 

  %endif

  Requires: iotop

  Requires: iproute

- Recommends: elinks

  %if 0%{?rhel} && 0%{?rhel} < 7

  Requires: procps

  %else

@@ -26,6 +25,10 @@ 

  Requires: psmisc

  Requires: sysstat >= 9

  

+ %if %{defined rhel} && 0%{?rhel} > 7 || %{defined fedora}

+ Recommends: elinks

+ %endif

+ 

  %if %{with timers}

  BuildRequires: systemd

  Requires: systemd

@@ -113,6 +116,9 @@ 

  

  

  %changelog

+ * Tue Nov 20 2019 Tony Garcia <tony.garcia@rackspace.com> - 2.1.0-6

+ - Use Recommends only in RPM supported versions (4.12.0)

+ 

  * Tue Nov 19 2019 Tony Garcia <tony.garcia@rackspace.com> - 2.1.0-5

  - Update dependencies, set elinks to recommends

  

When building I realize that epel6 and epel7 builds were failing, this is due to lack of support to Recommends in older versions of rpm. It was added in 4.12.0

Metadata Update from @tonyskapunk:
- Request assigned

3 months ago

Thanks for noticing that. Despite being aware of that I failed to point it out on the previous pull request.

Pull-Request has been merged by carlwgeorge

3 months ago
Metadata